<template>
  <v-row
    :class="[
      { 'pl-5 pr-5': $vuetify.breakpoint.smAndDown },
      { 'pl-16 pr-16': $vuetify.breakpoint.mdAndUp },
      'pt-16 pb-16 pickforme'
    ]"
  >
    <v-col cols="12" class="d-flex justify-center align-content-center text-center">
      <h1 class="font-syne-bold uppercase font-36">
        {{ $t('pickForMe.howPickForMeWorks') }}
      </h1>
    </v-col>

    <v-col cols="12" md="3" offset-md="3">
      <v-img :src="number1" max-width="30" />
      <v-row>
        <v-col cols="12" class="d-flex justify-center">
          <v-img :src="pickforme1" max-width="59" />
        </v-col>
      </v-row>
      <v-row>
        <v-col cols="12" class="text-center">
          <p class="font-18 font-syne-bold uppercase">
            {{ $t('pickForMe.step1') }}
          </p>
        </v-col>
      </v-row>
    </v-col>
    <v-col cols="12" md="3">
      <v-img :src="number2" max-width="30" />
      <v-row>
        <v-col cols="12" class="d-flex justify-center">
          <v-img :src="pickforme2" max-width="98" />
        </v-col>
      </v-row>
      <v-row>
        <v-col cols="12" class="text-center">
          <p class="font-18 font-syne-bold uppercase">
            {{ $t('pickForMe.step2') }}
          </p>
        </v-col>
      </v-row>
    </v-col>
    <v-col cols="12" md="3" offset-md="3">
      <v-img :src="number3" max-width="30" />
      <v-row>
        <v-col cols="12" class="d-flex justify-center">
          <v-img :src="pickforme3" max-width="50" />
        </v-col>
      </v-row>
      <v-row>
        <v-col cols="12" class="text-center">
          <p class="font-18 font-syne-bold uppercase">
            {{ $t('pickForMe.step3') }}
          </p>
        </v-col>
      </v-row>
    </v-col>
    <v-col cols="12" md="3">
      <v-img :src="number4" max-width="30" />
      <v-row>
        <v-col cols="12" class="d-flex justify-center">
          <v-img :src="pickforme4" max-width="48" />
        </v-col>
      </v-row>
      <v-row>
        <v-col cols="12" class="text-center">
          <p class="font-18 font-syne-bold uppercase">
            {{ $t('pickForMe.step4') }}
          </p>
        </v-col>
      </v-row>
    </v-col>

    <v-col cols="12" class="d-flex justify-center align-content-center text-center">
      <v-btn

        class="
                                            mt-2
                                            lowercase
                                            br-0
                                            pl-10
                                            pr-10
                                            font-syne-bold
                                            br-15
                                        "
        color="badge"
        @click="goToPage(menus.PICKFORME.id)"
      >
        {{ $t('buttons.joinNowBtn') }}
      </v-btn>
    </v-col>
  </v-row>
</template>

<script lang="ts">
import { Vue, Component } from 'vue-property-decorator'
import { mapGetters } from 'vuex'

@Component<any>({
  head () {
    return {
      title: this.$t('common.howPickForMeWorks')
    }
  },
  computed: mapGetters({
    menus: 'menu/getMenu'
  })
})
export default class Recover extends Vue {
    // Data
	menus!: any
    number1:string = require('~/assets/images/number1.png')
    number2:string = require('~/assets/images/number2.png')
    number3:string = require('~/assets/images/number3.png')
    number4:string = require('~/assets/images/number4.png')
	pickforme1:string = require('~/assets/images/pickforme1.png')
	pickforme2:string = require('~/assets/images/pickforme2.png')
	pickforme3:string = require('~/assets/images/pickforme3.png')
	pickforme4:string = require('~/assets/images/pickforme4.png')


	// Methods
	goToPage (id: Number) {
	  switch (id) {
	    case this.menus.PICKFORME.id:
	      this.$router.push(this.menus.PICKFORME.path)
	      break

	    default:
	      this.$router.push('/')
	      break
	  }
	}
}
</script>
